Summary: Accounts Payable API for BMS accounting
Name: bmsi-ap
Version: 0.1
Release: 1%{dist}
License: Proprietary
Group: Applications/Accounting
Source: bmsi-ap-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@gathman.org>
Packager: Stuart D. Gathman <stuart@gathman.org>
BuildArch: noarch
# Need changes to ReportLine in bmsi-util-1.4 for GLTrialBal
Requires: bmsi-db >= 1.0, bmsi-util >= 1.4, bmsi-gl
BuildRequires: bmsi-db >= 1.0, bmsi-util >= 1.4, bmsi-gl
BuildRequires: bmsi-ox, bmsi-abi, bmsi-bb
BuildRequires: java-devel

%description
This package manages Accounts Payable transactions, including
Cash Disbursements journal, Account Payable journal, Voucher Register,
and Check register.

%prep
%setup -q

%build
mkdir classes
javac -cp '/bms/java:/usr/lib/java/*:/usr/share/java/*:/usr/share/java/javamail/*' -d $PWD/classes *.java

%install
mkdir -p %{buildroot}/bms/java
cp -r classes/* %{buildroot}/bms/java
cp -rp res %{buildroot}/bms/java/bmsi/ap

%files
%defattr(0664,bin,bms,0775)
/bms/java/bmsi/ap

%changelog
* Thu Mar 28 2019 Stuart Gathman <stuart@gathman.org> 0.1-1
- Initial package
